/* portable implementations of GNU extensions to the C library.
 * the focus is to have something that works, not necessarily optimal or bulletproof
 * This means sometimes using fixed size buffers.
 */

#include "mynhmlg.h"
#include <stdio.h>
#include <string.h>
#include <stdarg.h>

// Yes, this is an empty file after the preprocessor is done on GNU systems.
#ifndef __GLIBC__

int asprintf(char **strp, const char *format, ...)
{
   char buf[4096];  // just truncate long strings.  good enough for procov.
   va_list ap;
   va_start(ap, format);
   int tmp = vsnprintf(buf, 4096, format, ap);
   *strp = strdup(buf);
   va_end(ap);
   return tmp;
}

#endif // no __GLIBC__
